# Void Chests

![Banner Image](https://i.imgur.com/fV8R9eg.png)

## Description

Set a chest's limit to 0 slots and whenever an inserter places an item in a chest, it will void all items in that chest afterwards.

## Screenshots

![A chest limited to 0 slots](https://i.imgur.com/DohujFK.png)

&nbsp;
## Installation

If you are using Techtonica Mod Loader, you can ignore these steps.

Note, this mod requires use of the BepInEx Update function. If you have not already done so for another mod, follow these instructions:
1. Find your game install folder.
2. Navigate to BepInEx\config.
3. Open BepInEx.cfg.
4. Find the setting "HideGameManagerObject".
5. Set it to "true".
6. Save & close.

### Techtonica Mod Loader Installation

You can download the Techtonica Mod Loader from [here](https://github.com/CubeSuite/TechtonicaModLoader/releases) and use that to install this mod.

### Manual Install Instructions

Note: If you are playing on Gamepass, your game version is likely behind the steam version. Please check the version compatibility chart below.

Your game folder is likely in one of these places:  
    • Steam: (A-Z):/steam/steamapps/common/Techtonica  
    • Gamepass: (A-Z):/XboxGames/Techtonica/Content  
    • Gamepass: Could also be in C:/Program Data/WindowsApps  

1. Download BepInEx v5.4.21 from [here](https://github.com/BepInEx/BepInEx/releases)
2. Follow the installation instructions [here](https://docs.bepinex.dev/articles/user_guide/installation/index.html)
3. Extract the contents of the .zip file for this mod.
4. Drag the "BepInEx" folder into your game folder.

## Version Compatibility

|  Mod Version  |  Game Version  |
|:-------------:|:--------------:|
|     v1.x.x    |     v0.3.0e    |

## Changelog

### V1.0.0

Initial release.

&nbsp;
## Credits

[Black Hole](https://pngtree.com/freepng/blue-vortex-black-hole_4491996.html)

## Disclaimer

Note: NEW Games must be loaded, saved, and reloaded for mods to take effect. Existing saves will auto-apply mods. 
Please be sure to backup your saves before using mods: AppData\LocalLow\Fire Hose Games\Techtonica 
USE AT YOUR OWN RISK! Techtonica Devs do not provide support for Mods, and cannot recover saves damaged by mod usage.

Some assets may come from Techtonica or from the website created and owned by Fire Hose Games, who hold the copyright of Techtonica. All trademarks and registered trademarks present in any images are proprietary to Fire Hose Games.
